Return number of tasks by status, task type and episode for the project.
GET
/data/projects/{project_id}/episodes/stats
curl
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/stats" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/stats"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/episodes/stats' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"all": {
"all": {
"taskStatusId1": {
"count": 200,
"frames": 2400,
"drawings": 600
}
}
},
"episodeId1": {
"taskTypeId1": {
"taskStatusId1": {
"count": 50,
"frames": 600,
"drawings": 150
},
"taskStatusId2": {
"count": 70,
"frames": 840,
"drawings": 210
}
}
}
}